aboutsummaryrefslogtreecommitdiff
path: root/Mail/mutt/notify.sh
diff options
context:
space:
mode:
Diffstat (limited to 'Mail/mutt/notify.sh')
-rwxr-xr-xMail/mutt/notify.sh27
1 files changed, 27 insertions, 0 deletions
diff --git a/Mail/mutt/notify.sh b/Mail/mutt/notify.sh
new file mode 100755
index 0000000..a628c52
--- /dev/null
+++ b/Mail/mutt/notify.sh
@@ -0,0 +1,27 @@
+#!/bin/bash
+# Note to make xset led 1 and 2 work:
+#
+# /usr/share/X11/xkb/compat/ledcaps
+# /usr/share/X11/xkb/compat/lednum
+# and replace:
+# !allowExplicit;
+# with:
+# allowExplicit;
+#
+#####################k
+# Turns on CapsLock
+#
+
+echo "$1"
+echo "$1" | grep -q "New" > /dev/null 2>&1
+status=$?
+
+if [ $status -eq 0 ];then
+ xset led 1
+ touch ~/.mutt/newmail
+else
+ xset -led 1
+if [ -e ~/.mutt/newmail ];then
+ rm ~/.mutt/newmail
+fi
+fi